QGIS Application - Feature request #6059
add the ability to select character code when creating a new shape file
2012-07-17 01:24 PM - yoichi Kayama
Assignee:

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 15421
Description

When creating new shape file, we can't select character code set.

We must create all new files in the UTF-8 .

There is an inconvenience if we can not use column names only a short time when it UTF-8 Because of a limitation of the length of the
column name in the Shapefile.

So | want to add the ability to select character code when creating a new shapefile.

Related issues:
Related to QGIS Application - Bug report # 4540: Garbled field names in newly... Closed 2011-11-16

History

#1 - 2012-08-06 01:49 AM - Minoru Akagi

- File ggsencodingfiledialog.png added

The encoding selectbox you wish is in the QgsEncodingFileDialog. It is displayed next to the "New Vector Layer" dialog.

As you know, the field name of DBF has some restrictions. As an example, it should be ASCII characters.

- Field name in .Dbf file http://forums.esri.com/Thread.asp?c=9&#38;{=85&#38;t=62319
- dBASE .DBF File Structure (NOTE linked page is about version 7) http://www.dbase.com/knowledgebase/int/db7_file_fmt.htm

If you have to use multibyte or non-ASCII characters in the field names, you should use "Attribute aliases" of QGIS. The aliases are stored in both the QGIS

Layer Style File(.gml) and the QGIS project file(.qgs). It works well.

#2 - 2012-09-04 11:52 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#3 - 2012-10-06 02:20 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2012-10-10 10:19 PM - Minoru Akagi
- File fieldnameencoding.patch added

Attached patch is useful for users who want to use non-ASCII characters in field names of attribute table. It modifies encoding conversion of field names in
both creating new shapefile layer and adding column. It

- Allows users to use non-ASCII characters in the field names even if selected encoding is not UTF-8.

- Will increase the number of non-ASCII characters that users can use in the field name if users select the suitable encoding.

- Requires that "Ignore shapefile encoding” option is checked.
#5 - 2012-10-10 10:27 PM - Minoru Akagi
- File fieldnameencoding UTF8.patch added

| re-attach a patch file saved in UTF-8.

#6 - 2013-02-27 10:10 PM - Minoru Akagi

I think no user selects ASCII-incompatible character encoding such as UTF-16 and UTF-32, to create shapefiles, because all encodings in this page are

ASClI-compatible encodings.

Don't devs think it might be a good idea to implement the above and leave the decision whether to use non-ASCII characters to users?

#7 - 2013-05-05 04:10 AM - Borys Jurgiel
- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:94a976c96834b289f81c1f064aa54c5¢c1ddc260a.
